<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>ContextUtils | Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.json" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="contextutils.html">ContextUtils</a>
				</li>
			</ul>
			<h1>Class ContextUtils</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Utils class with static helper functions to work with the application state</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">ContextUtils</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#elementhasinteractiontype" class="tsd-kind-icon">element<wbr>Has<wbr>Interaction<wbr>Type</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#elementhastype" class="tsd-kind-icon">element<wbr>Has<wbr>Type</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#elementhasvisualizationtype" class="tsd-kind-icon">element<wbr>Has<wbr>Visualization<wbr>Type</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getelementtypes" class="tsd-kind-icon">get<wbr>Element<wbr>Types</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getlightemissioncolor" class="tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Color</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getlightemissionstrength" class="tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Strength</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getscreenimage" class="tsd-kind-icon">get<wbr>Screen<wbr>Image</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getsituationname" class="tsd-kind-icon">get<wbr>Situation<wbr>Name</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#getstartingstateid" class="tsd-kind-icon">get<wbr>Starting<wbr>StateID</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#gettimebasedtransition" class="tsd-kind-icon">get<wbr>Time<wbr>Based<wbr>Transition</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#gettransition" class="tsd-kind-icon">get<wbr>Transition</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#gettransitions" class="tsd-kind-icon">get<wbr>Transitions</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="contextutils.html#ispropersituationname" class="tsd-kind-icon">is<wbr>Proper<wbr>Situation<wbr>Name</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="elementhasinteractiontype" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> element<wbr>Has<wbr>Interaction<wbr>Type</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">element<wbr>Has<wbr>Interaction<wbr>Type<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a>, interactionElements<span class="tsd-signature-symbol">: </span><a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:163</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
								</li>
								<li>
									<h5>type: <a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a></h5>
								</li>
								<li>
									<h5>interactionElements: <a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a><span class="tsd-signature-symbol">[]</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="elementhastype" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> element<wbr>Has<wbr>Type</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">element<wbr>Has<wbr>Type<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a>, context<span class="tsd-signature-symbol">: </span><a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:145</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns whether an element is an element of a certain type</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element</p>
									</div>
								</li>
								<li>
									<h5>type: <a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Type to check for</p>
									</div>
								</li>
								<li>
									<h5>context: <a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Current Context</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="elementhasvisualizationtype" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> element<wbr>Has<wbr>Visualization<wbr>Type</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">element<wbr>Has<wbr>Visualization<wbr>Type<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a>, visualizationElements<span class="tsd-signature-symbol">: </span><a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:150</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
								</li>
								<li>
									<h5>type: <a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a></h5>
								</li>
								<li>
									<h5>visualizationElements: <a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getelementtypes" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Element<wbr>Types</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Element<wbr>Types<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, interactionElements<span class="tsd-signature-symbol">: </span><a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a><span class="tsd-signature-symbol">[]</span>, visualizationElements<span class="tsd-signature-symbol">: </span><a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol">[]</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:24</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns an array with the types (Button, Light, ...) of the given element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element</p>
									</div>
								</li>
								<li>
									<h5>interactionElements: <a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Current interactionElements</p>
									</div>
								</li>
								<li>
									<h5>visualizationElements: <a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Current visualizationElements</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol">[]</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getlightemissioncolor" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Light<wbr>Emission<wbr>Color</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Color<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, visualizationElements<span class="tsd-signature-symbol">: </span><a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/color.html" class="tsd-signature-type">Color</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:47</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the color of a light element or null if element is no light</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element</p>
									</div>
								</li>
								<li>
									<h5>visualizationElements: <a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing visualizationElements</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/color.html" class="tsd-signature-type">Color</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getlightemissionstrength" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Light<wbr>Emission<wbr>Strength</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Strength<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, states<span class="tsd-signature-symbol">: </span><a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:63</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the emission strength of an element in a certain situation</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element</p>
									</div>
								</li>
								<li>
									<h5>situationID: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>ID of the situation</p>
									</div>
								</li>
								<li>
									<h5>states: <a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing states</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getscreenimage" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Screen<wbr>Image</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Screen<wbr>Image<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationId<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, states<span class="tsd-signature-symbol">: </span><a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:122</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the image file that is currently displayed on a certain screen in a certain situation</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the screen element</p>
									</div>
								</li>
								<li>
									<h5>situationId: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>ID of the situation</p>
									</div>
								</li>
								<li>
									<h5>states: <a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing states</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getsituationname" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Situation<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Situation<wbr>Name<span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, states<span class="tsd-signature-symbol">: </span><a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:199</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the name of a situation</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>situationID: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>ID of the situation</p>
									</div>
								</li>
								<li>
									<h5>states: <a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>List of all states</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="getstartingstateid" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Starting<wbr>StateID</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Starting<wbr>StateID<span class="tsd-signature-symbol">(</span>states<span class="tsd-signature-symbol">: </span><a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:189</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the starting state of a list of states</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>states: <a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>List of all states</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="gettimebasedtransition" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Time<wbr>Based<wbr>Transition</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Time<wbr>Based<wbr>Transition<span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, transitions<span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:110</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the time-based transition of a certain source situation</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>situationID: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>ID of the source situation</p>
									</div>
								</li>
								<li>
									<h5>transitions: <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing transitions</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="gettransition" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Transition</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Transition<span class="tsd-signature-symbol">(</span>interactionElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, transitions<span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span>, guards<span class="tsd-signature-symbol">?: </span><a href="../interfaces/guard.html" class="tsd-signature-type">Guard</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:85</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the transition of a certain interactionElement in a certain situation</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>interactionElement: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element that triggers the transition</p>
									</div>
								</li>
								<li>
									<h5>situationID: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Id of the source state</p>
									</div>
								</li>
								<li>
									<h5>transitions: <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing transitions</p>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagOptional">Optional</span> guards: <a href="../interfaces/guard.html" class="tsd-signature-type">Guard</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Guards that trigger a transition</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="gettransitions" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Transitions</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Transitions<span class="tsd-signature-symbol">(</span>interactionElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, transitions<span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span>, ignoreTemp<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:99</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns all the transitions of a certain interactionElement in a certain situation. Useful for elements that have multiple transitions to different situations</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>interactionElement: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element that triggers the transition</p>
									</div>
								</li>
								<li>
									<h5>situationID: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Id of the source state</p>
									</div>
								</li>
								<li>
									<h5>transitions: <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing transitions</p>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagOptional">Optional</span> ignoreTemp: <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Flag indicating if the temporary transitions should be excluded</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/transition.html" class="tsd-signature-type">Transition</a><span class="tsd-signature-symbol">[]</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="ispropersituationname" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> is<wbr>Proper<wbr>Situation<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">is<wbr>Proper<wbr>Situation<wbr>Name<span class="tsd-signature-symbol">(</span>name<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, states<span class="tsd-signature-symbol">: </span><a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ContextUtils.tsx:180</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Checks if a situation name is currently valid (is no duplicate)</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>name: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Situation name to check</p>
									</div>
								</li>
								<li>
									<h5>states: <a href="../interfaces/state.html" class="tsd-signature-type">State</a><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Currently existing states</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class">
						<a href="contextutils.html" class="tsd-kind-icon">Context<wbr>Utils</a>
						<ul>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#elementhasinteractiontype" class="tsd-kind-icon">element<wbr>Has<wbr>Interaction<wbr>Type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#elementhastype" class="tsd-kind-icon">element<wbr>Has<wbr>Type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#elementhasvisualizationtype" class="tsd-kind-icon">element<wbr>Has<wbr>Visualization<wbr>Type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getelementtypes" class="tsd-kind-icon">get<wbr>Element<wbr>Types</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getlightemissioncolor" class="tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Color</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getlightemissionstrength" class="tsd-kind-icon">get<wbr>Light<wbr>Emission<wbr>Strength</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getscreenimage" class="tsd-kind-icon">get<wbr>Screen<wbr>Image</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getsituationname" class="tsd-kind-icon">get<wbr>Situation<wbr>Name</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#getstartingstateid" class="tsd-kind-icon">get<wbr>Starting<wbr>StateID</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#gettimebasedtransition" class="tsd-kind-icon">get<wbr>Time<wbr>Based<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#gettransition" class="tsd-kind-icon">get<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#gettransitions" class="tsd-kind-icon">get<wbr>Transitions</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="contextutils.html#ispropersituationname" class="tsd-kind-icon">is<wbr>Proper<wbr>Situation<wbr>Name</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
</body>
</html>